<?php

/**
 * @file
 * Drush integration with the Warden module.
 */

 /**
  * Implements of hook_drush_command().
  */
function warden_drush_command() {
  $items = array();

  $items['warden-check-connection'] = array(
    'description' => 'Test the connection to Warden by getting its public key',
  );

  return $items;
}

/**
 * Test the connection to warden.
 */
function drush_warden_check_connection() {
  drush_print(dt('Going to check connection to Warden server by retreiving the public key ...'));

  try {
    $key = warden_get_encryption()->getPublicKey();
    drush_print($key);
  }
  catch (Exception $e) {
    drush_set_error($e->getMessage());
  }
}
